function [HR, FARtbx, FARnew, FARnew_F] = compute_parameters(F, R, NumStudyItems, NumDistract, NumContexts, subject);

% From an individual sim-subject's data, compute experimental parameters.

NumTBE=NumStudyItems./NumContexts;
NumTBX=NumStudyItems-NumTBE;
BeginTBE = 1;
EndTBE = NumTBE;
BeginTBX = NumTBE + 1;
EndTBX = NumTBE + NumTBX;
BeginNew = NumTBE + NumTBX + 1;
EndNew = NumTBE + NumTBX + NumDistract;
HR=(sum(R(BeginTBE:EndTBE))./NumTBE);
FARtbx=(sum(R(BeginTBX:EndTBX)))./(NumTBX);
FARnew=(sum(R(BeginNew:EndNew)))./(NumDistract);
FARnew_F=(sum(F(BeginNew:EndNew)))./(NumDistract);