function [C] = recall_context (Memory, TestList, A, contexts);

% Retrieves context in response to each test item.

[MemR, MemC]= size(Memory);
[TestR, TestC] = size(TestList);
NumContexts=length(contexts);

% Determine echo content
for TestItem=1:TestR
    for MemTrace=1:MemR
        for Feature=1:MemC
            Cj(MemTrace, Feature)=A(TestItem,MemTrace)*Memory(MemTrace,Feature);
        end;
    end;
    C(TestItem,Feature)=0;
    for Feature=1:MemC
        for MemTrace=1:MemR
            C(TestItem,Feature)=C(TestItem,Feature) + Cj(MemTrace,Feature);
        end;
    end;
end;

