function [S, DP] = choose_contexts (C, contexts, NumContexts, Cnodes);

% From retrieved context, choose study context that is most familiar.

[CRows,CCols]=size(C);
for TestItem=1:CRows
    for context = 1:NumContexts
        DP(TestItem,context)=dot(C(TestItem,CCols-Cnodes+1:CCols),contexts(context,:));
    end;
end;
for TestItem=1:CRows
    [value,pos]=max(DP(TestItem,:));
    S(TestItem)=pos;
end;

