function [contexts, BadContextFlag] = subCreate_Contexts (NumContexts, Cnodes, minR, maxR)

contexts = randi([-1,1],NumContexts,Cnodes);
BadContextFlag=0;
cmat = corrcoef(contexts');
actcorr = cmat(2,1);
if actcorr == NaN
    BadContextFlag = 1;
end;
if or(actcorr > maxR, actcorr < minR)  
    BadContextFlag = 1;
end;
